#!/usr/bin/make -f

export VDK_TEST__DEBUG=true

%:

	PREFIX=/usr dh $@

override_dh_auto_build:
	zig build --verbose --summary all --verbose-cc install

override_dh_auto_test:
	true zig build --verbose --summary all --verbose-cc test

override_dh_auto_install:
	make DESTDIR=debian/tmp install
	find debian/tmp -type f | sed 's:^debian/tmp::' >debian/__VDK_ZIGBIN_PKGNAME__.install

